From a2d6dfaea50bc6e0572e2b7e81fde20d2097b488 Mon Sep 17 00:00:00 2001
From: Erlend <me@erlend.io>
Date: Fri, 15 May 2020 08:22:35 +0200
Subject: [PATCH 7/9] jklfjsdlk

---
 src/CMakeLists.txt                   |  7 ++-----
 src/qdbus-test-runner/CMakeLists.txt | 20 ++++++++++++++------
 2 files changed, 16 insertions(+), 11 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index f6a3103..36bec7f 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -1,12 +1,9 @@
-option(COMPILE_TESTER "Compile the test executable" ON)
-
 include(GenerateExportHeader)
 add_compiler_export_flags()
 
 add_subdirectory(watchdog)
 add_subdirectory(libqtdbustest)
 
-if(COMPILE_TESTER)
-    add_subdirectory(qdbus-test-runner)
-endif()
+add_subdirectory(qdbus-test-runner)
+
 
diff --git a/src/qdbus-test-runner/CMakeLists.txt b/src/qdbus-test-runner/CMakeLists.txt
index b54797a..65faf74 100644
--- a/src/qdbus-test-runner/CMakeLists.txt
+++ b/src/qdbus-test-runner/CMakeLists.txt
@@ -1,15 +1,23 @@
-
-pkg_check_modules(YOUR_PKG REQUIRED IMPORTED_TARGET libqtdbustest-1)
+option(COMPILE_TESTER "Compile the test executable" ON)
 
 add_executable(
 	qdbus-simple-test-runner
 	qdbus-simple-test-runner.cpp
 )
 
-target_link_libraries(
-	qdbus-simple-test-runner
-    PkgConfig::YOUR_PKG
-)
+if(COMPILE_TESTER)
+    pkg_check_modules(YOUR_PKG REQUIRED IMPORTED_TARGET libqtdbustest-1)
+
+    target_link_libraries(
+        qdbus-simple-test-runner
+        PkgConfig::YOUR_PKG
+    )
+else()
+    target_link_libraries(
+        qdbus-simple-test-runner
+        qtdbustest
+    )
+endif()
 
 target_link_libraries(
 	qdbus-simple-test-runner
-- 
2.25.4

